<ng-container *ngIf="benchmark ; else elseBlock">
    <h2 style="text-align: center">Top cpus for {{this.benchmark.name}} </h2>
    <div style="text-align: center">({{getComparisonDescription()}})</div>

    <div style="height: 20em; width: 100%">
        <ngx-charts-bar-horizontal *ngIf="chartData"
                                   [scheme]="colourScheme"
                                   [xAxis]="true"
                                   [yAxis]="true"
                                   [showXAxisLabel]="true"
                                   [xAxisLabel]="this.chartXAxisLabel"
                                   [showYAxisLabel]="true"
                                   [yAxisLabel]="'Cpu'"
                                   [showDataLabel]="true"
                                   [results]="chartData">

        </ngx-charts-bar-horizontal>
    </div>


    <app-paged-collection
        [model]="collectionModel"
        [itemTemplate]="itemTemplate"
        (querySubmitted)="onQuerySubmit($event)"
        (pageChanged)="onPageChanged($event)"
        (reverted)="onReverted()"
        (searched)="onSearched($event)"
    >
    </app-paged-collection>
</ng-container>
<ng-template #elseBlock>
    <app-loading-indicator></app-loading-indicator>
</ng-template>


<ng-template #itemTemplate let-model="context">
    <ng-container *ngIf="toItem(model); let item">
        <a class="button collection-item-link" [routerLink]="['/Statistics/', item.id]">
            <div>
                <img [src]="imageLinksService.getCpuImageLink(item.cpuVendor)"
                     [alt]="item.cpuVendor"
                     loading="lazy"
                     class="collection-item-icon">
                <img [src]="imageLinksService.getBenchmarkImage(item.benchmarkUuid)"
                     [alt]="item.benchmarkName"
                     loading="lazy"
                     class="collection-item-icon">
            </div>
            <span class="collection-item-name">
                            {{item.cpuModelName}}
                        </span>
            <div class="collection-item-details-container">
                <b>{{this.item.benchmarkName}} &#8773; </b>
                <b class="badge">{{calculateActualStatisticValue(item)}}</b>
            </div>
        </a>
    </ng-container>
</ng-template>
